Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class LibraryObjectLookupCacheCollection

    java.lang.Object
      oracle.ifs.common.LibraryObjectLookupCacheCollection

All Implemented Interfaces:
  Collection, IfsEventHandler

Direct Known Subclasses:
  TieLibraryObjectLookupCacheCollection

    public class LibraryObjectLookupCacheCollection

extends java.lang.Object
implements Collection

A LibraryObjectLookupCacheCollection is a Collection that delegates to a LibraryObjectLookupCache that is provided at construction.

(Published)

Constructor Summary
`LibraryObjectLookupCacheCollection(LibrarySessionInterface session, LibraryObjectLookupCache lolc, java.lang.String className)` Constructs a LibraryObjectLookupCacheCollection.

Method Summary
`java.lang.Object` | `checkItemByUpperCaseName(java.lang.String upperCaseName)` Gets the specified item in this Collection by the uppercase name, *and returns null if the item is not found.
`java.lang.Class` | `getCachedObjectsClass()` Gets the class for the objects in the cache.
`java.lang.Object` | `getItemByUpperCaseName(java.lang.String upperCaseName)` Gets the specified item in this Collection by the uppercase name.
`int` | `getItemCount()` Gets the number of items in this Collection.
`java.lang.Object[]` | `getItems()` Gets an array containing the items in this Collection.
`java.lang.Object` | `getItems(int index)` Gets the specified item in this Collection.
`java.lang.Object` | `getItems(java.lang.String name)` Gets the specified item in this Collection.
`java.util.Vector` | `getItemsVector()` Gets a vector containing the items in this Collection.
`LibraryObjectLookupCache` | `getLibraryObjectLookupCache()` Gets the underlying lookup cache.
`LibrarySessionInterface` | `getSession()` Gets the session context.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`void` | `reset()` Resets this Collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryObjectLookupCacheCollection

    public LibraryObjectLookupCacheCollection(LibrarySessionInterface session,
                                              LibraryObjectLookupCache lolc,
                                              java.lang.String className)
                                       throws IfsException

  Constructs a LibraryObjectLookupCacheCollection.

  Parameters:
    `session` - the session context
    `lolc` - the LibraryObjectLookupCache
    `className` - the class name for the objects in the cache
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getSession

    public LibrarySessionInterface getSession()

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the session context.

  Returns:
    the session context.
  (Published)

### getLibraryObjectLookupCache

    public LibraryObjectLookupCache getLibraryObjectLookupCache()

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the underlying lookup cache.

  Returns:
    the underlying lookup cache.
  (Published)

### getCachedObjectsClass

    public java.lang.Class getCachedObjectsClass()

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the class for the objects in the cache.

  Returns:
    the class for the objects in the cache.
  (Published)

### getItemCount

    public int getItemCount()
                     throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the number of items in this Collection.

  Specified by:
    `getItemCount` in interface `Collection`
  Returns:
    the number of items in this Collection
  Throws:
    `IfsException` - (IFS-12211) if the operation fails

### getItems

    public java.lang.Object[] getItems()
                                throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets an array containing the items in this Collection.

  Specified by:
    `getItems` in interface `Collection`
  Returns:
    the items in this Collection
  Throws:
    `IfsException` - (IFS-12212) if the operation fails

### getItems

    public java.lang.Object getItems(int index)
                              throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the specified item in this Collection.

  Specified by:
    `getItems` in interface `Collection`
  Parameters:
    `index` - the zero-based index of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12213) if the operation fails

### getItems

    public java.lang.Object getItems(java.lang.String name)
                              throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the specified item in this Collection.

  Specified by:
    `getItems` in interface `Collection`
  Parameters:
    `name` - the name of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12214) if the operation fails

### getItemByUpperCaseName

    public java.lang.Object getItemByUpperCaseName(java.lang.String upperCaseName)
                                            throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the specified item in this Collection by the uppercase name.

  Specified by:
    `getItemByUpperCaseName` in interface `Collection`
  Parameters:
    `upperCaseName` - the name of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12214) if the operation fails

### checkItemByUpperCaseName

    public java.lang.Object checkItemByUpperCaseName(java.lang.String upperCaseName)
                                              throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets the specified item in this Collection by the uppercase name, *and returns null if the item is not found.

  Specified by:
    `checkItemByUpperCaseName` in interface `Collection`
  Parameters:
    `upperCaseName` - the name of the item
  Returns:
    the item, or null if not found
  Throws:
    `IfsException` - if the operation fails

### getItemsVector

    public java.util.Vector getItemsVector()
                                    throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Gets a vector containing the items in this Collection.

  The order of the items in the vector is identical to the order of the items in the array returned by `getItems()`.

  Specified by:
    `getItemsVector` in interface `Collection`
  Returns:
    a vector containing the items in this Collection
  Throws:
    `IfsException` - (IFS-12215) if the operation fails

### reset

    public void reset()
               throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Resets this Collection.

  Resetting a Collection causes the items in it to be redetermined.

  Specified by:
    `reset` in interface `Collection`
  Throws:
    `IfsException` - (IFS-12216) if the operation fails

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `LibraryObjectLookupCacheCollection`
  Handles the specified event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD